<?php
error_reporting(1);
ini_set('display_errors', 1);
session_start();
require_once "config.php";
include_once "../ichat/admin/route.php";
if ($session->is_logged_in() != true ) {
        redirect_to(WEB_LINK.'/login');
} else {
    $current_user = User::get_specific_id($session->admin_id);
    $current_user->set_online();
    $group = $current_user->prvlg_group;
}


require_once("../ichat/admin/assets/includes/Library/SessManager.php");
require_once("../ichat/admin/assets/includes/Library/User.php");
$session = new  SessManager();

//require_once "check_admin.php";
require_once 'database.php';

class submissions extends database
	{
		public function index($page)
		{
			$start = $page - 1;
			return $this->fetchAll('submission', null, 'cl_created_at', 'DESC', ($start * 10), 10);
		}
		
	}
if(isset($_GET['message']))
{
	$msg=$_GET['message'];
}

$page = 1;
if(isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page'] > 1)
{
    $page = htmlspecialchars($_GET['page']);
}

$sub = new submissions();
$res = $sub->index($page);
include 'header.php';
?>
            <!-- MAIN CONTENT-->
            <div class="main-content">
                <div class="section__content section__content--p30">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="overview-wrap">
                                    <h2 class="title-1">Submissions</h2>
                                   
                                </div>
								<?php if($msg !=''){echo '<span class="col-md-6 alert alert-danger pull-left">'.$msg.'</span>';}?>
                            </div>
                        </div>
                        
                        <div class="row m-t-25 m-row">
						<?php
					foreach($res as $od)
					{
					?>
                            <div class="col-lg-6">
                                <div class="card">
                                    
                                    <div class="card-body card-block">
											<div class="col-md-12 text-right">
												ID: #<?php echo $od['id'];?>
											</div>
											<div class="form-group">
												<label>Ko remontēsim?</label>
												<input type="text" placeholder="" class="form-control" value="<?php echo htmlspecialchars($od['repair']); ?>" readonly />
											</div>
											<div class="form-group">
												<label>Jūsu vārds vai uznēmuma nosaukums</label>
												<input type="text" placeholder="" class="form-control" value="<?php echo htmlspecialchars($od['name']); ?>" readonly />
											</div>
											 <div class="form-group">
												<label>E-pasta adrese</label>
												<input type="text" class="form-control"  value="<?php echo htmlspecialchars($od['email']); ?>" readonly />
											</div>
											<div class="form-group">
												<label>Kontakttālrunis (ieteicams)</label>
												<input type="text" class="form-control" placeholder="Phone Number"  value="<?php echo htmlspecialchars($od['phone']); ?>" readonly />
											</div>
											<div class="form-group botm-cont">
												<button type="button" class="btn btn-danger pull-left btn-delete" data-id="<?php echo htmlspecialchars($od['id'])?>">Delete</button>
											</div>
													
                                        
                                    </div>
                                </div>
                            </div>
                         <?php
					}
					?>
                    <div class="pull-right col-xs-12 top-margin">
                         <?php
                        if($page > 1)
                        {
                        ?>
                        <a href="?page=<?php echo htmlspecialchars($page) - 1 ?>" class="track-btn">
                            Previous
                        </a>
                        <?php
                        }
                        if(count($res) == 10)
                        {
                        ?>
                            <a href="?page=<?php echo htmlspecialchars($page) + 1 ?>" class="track-btn">
                                Next
                            </a>
                        <?php
                        }
                        ?>
                    </div>
                        </div>
						
                        
    <script>
    $(document).ready(function(){
        $('.active').removeClass('active');
        $('#submission-menu').addClass('active');
    }); 

  $(document).on('click', '.btn-delete', function(res){
         var conf = confirm("Are you sure you want to delete this submission?");
            if(!conf)
            {
                return;
            }
        $(this).attr('disabled', 'disabled').text('Deleting......');

        var current = $(this);
        var id = $(this).attr('data-id');
        var parent = $(this).parents('.submission-container').first();
        $.post('submission_delete', {id:id}, function(){
            alert('Submission Deleted Successfully');
            $(parent).remove();
        },'json').fail(function(xhr){
           alert(xhr.responseJSON);
           $(current).removeAttr('disabled').text('Delete');
        },'json');
    });
</script>                    
                       

  <?php
  include 'footer.php';
  ?>